# Licensed Materials - Property of IBM                       
# Component IBM Rational ROSE_RT BUILD : TARGET_RTS                 
# Copyright IBM Corporation 1999, 2008. All Rights Reserved.      
# U.S. Government Users Restricted Rights -  Use, duplication or    
# disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.



$os = $ENV{'OS'} || 'default';

if( $os eq 'Windows_NT' )
{
    @make_args = ( '/nologo', '/f', '../src/main.nmk' );
}

if( ( $COMPILER_HOME = $ENV{'COMPILER_HOME'} ) &&
    ( $OS_HOME       = $ENV{      'OS_HOME'} ) )
{
    if( $os eq 'Windows_NT' )
    {
	$ENV{'NUCLEUS'} = "$OS_HOME\\nucleus\\11.6\\win32";
	$DIABLIB        = "$COMPILER_HOME\\diab\\4.2b\\win32";
	$ENV{'PATH'}    = "$DIABLIB\\win32\\bin;$ENV{'PATH'}";

	$ENV{'LM_LICENSE_FILE'} = '7105@server0';
    }
    else
    {
	$rosert_home = $ENV{'ROSERT_HOME'};
	chomp( $host = `$rosert_home/bin/machineType` );

	$ENV{'NUCLEUS'} = "$OS_HOME/nucleus/11.6/unix";

	if( $host eq 'hpux10' )
	{
	    $DIABLIB     = "$COMPILER_HOME/diab/4.2b/hpux10";
	    $ENV{'PATH'} = "$DIABLIB/HPUX/bin:$ENV{'PATH'}";
	}
	elsif( $host eq 'sun5' )
	{
	    $DIABLIB     = "$COMPILER_HOME/diab/4.2b/solaris2";
	    $ENV{'PATH'} = "$DIABLIB/SUNS/bin:$ENV{'PATH'}";
	}
	else
	{
	    print STDERR "'$host' is not a supported host.\n";
	    exit 1;
	}
    }

    $ENV{'DIABLIB'} = $DIABLIB;
}

$preprocessor = "dplus -t PPC860ES:simple -P";
$target_base  = 'NUCLEUS';
$supported    = 'Yes';
