/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTSoleController_h__
#define __RTSoleController_h__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTController_h__
#include <RTController.h>
#endif

class RTSoleController : public RTController
{
public:
		    RTSoleController( RTDebugger *, const char * name );
    virtual         ~RTSoleController( void );

    virtual void    mainLoop( void );

    void            timer_interrupt( void );

    virtual void    printStats( void ) const;

protected:
    virtual void    waitForEvents( void );

private:
    int             timer_interrupts;

    // unavailable methods
    RTSoleController( const RTSoleController & );
    RTSoleController & operator=( const RTSoleController & );
}; //lint !e1712

#endif // __RTSoleController_h__
