/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTThread_h__
#define __RTThread_h__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTConfig_h__
#include <RTConfig.h>
#endif

class  RTJob;
struct RTThreadInfo;

class RTThread
{
public:
    RTThread( RTJob *, int stackSize, int prio = 0 );
    ~RTThread( void );

protected:
    RTJob         * _job;
    RTThreadInfo  * _info;

private:
    // unavailable methods
    RTThread( const RTThread & );
    RTThread & operator=( const RTThread & );
}; //lint !e1712

#endif // __RTThread_h__
