/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTActor.h>

RTActor::RTActor( RTController * controller, RTActorRef * reference )
    : rts          (           controller )
    , homeReference(            reference )
    , homeIndex    (                    0 )
    , relays       ( (RTRelayPort     *)0 )
#if DEFER_IN_ACTOR
    , deferredQ    (                      )
#endif
#if SUSPEND
    , suspendMsgs  ( (RTMessage       *)0 )
#endif
    , importList   ( (RTImportList    *)0 )
    , state        ( (State           *)0 )
    , msg          ( (const RTMessage *)0 )
#if OBSERVABLE
    , probe        ( (RTActorProbe    *)0 )
#endif
{
    controller->countActorIncarnate();
}
