/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTActor.h>
#include <RTActorRef.h>
#include <RTActor_class.h>
#include <RTComponentDescriptor.h>

const RTActorClass * RTActor::defaultClass( RTActorRef & component,
					    int        /*repIndex*/ )
{
    const RTActor_class * info     = getActorData();
    int                   refIndex = component.getId() - 1;

    if( refIndex < 0 || refIndex >= info->numComponents )
	return (const RTActorClass *)0;

    return info->components[ refIndex ].defaultClass;
}
