/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTAsciiDecoding.h>

int RTAsciiDecoding::getName( char * value, int length )
{
    int  size = 0;
    char byte;

    if( getNonWhite( byte ) == 0 )
	return 0;

    do
    {
	if( ( 'a' <= byte && byte <= 'z' ) ||
	    ( '0' <= byte && byte <= '9' ) ||
	    ( 'A' <= byte && byte <= 'Z' ) ||
	    byte == '_' )
	{
	    value[ size++ ] = byte;
	    if( size >= length )
		return 0;
	}
	else
	{
	    ungetByte( byte );
	    break;
	}
    }
    while( getByte( byte ) != 0 );

    value[ size ] = '\0';

    return size != 0;
}
