/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTAsciiEncoding.h>
#include <RTDiagBuffer.h>
#include <RTDiagStream.h>

RTDiagStream & RTDiagStream::write( const void           * data,
				    const RTObject_class * type )
{
    RTDiagBuffer    buffer( this );
    RTAsciiEncoding coding( &buffer );

    (void)coding.put( data, type );
    (void)coding.flush();

    return *this;
}
