/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTActorClass.h>
#include <RTActorRef.h>
#include <RTFrame.h>
#include <RTTypedValue.h>

RTActorId Frame::Base::incarnate( RTActorRef         & r,
				  const RTTypedValue & info,
				  RTController       * rts,
				  int                  index )
{
    return r.incarnate( EmptyActorClass,
			info.data, info.type,
			rts, index ); //lint !e1901 !e1911
}
