/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifdef PRAGMA
#pragma implementation "RTFieldDescriptor.h"
#pragma implementation "RTFieldOffset.h"
#pragma implementation "RTObject_class.h"
#pragma implementation "RTObject_class.inl"
#pragma implementation "RTTypeModifier.h"
#pragma implementation "RTTypedValue.h"
#pragma implementation "RTTypedValue.inl"
#pragma implementation "RTVersionId.h"
#pragma implementation "RTnew.h"
#endif

#include <RTFieldDescriptor.h>
#include <RTFieldOffset.h>
#include <RTObject_class.h>
#include <RTTypeModifier.h>
#include <RTTypedValue.h>
#include <RTVersionId.h>
#include <RTnew.h>

void * RTObject_class::allocate( void ) const
{
    return ( _size != (RTFieldOffset)0 )
		? ::operator new( _size ) //lint !e712 !e747 !e917
		: (void *)0;
}
