/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDecoding.h>
#include <RTDiag.h>
#include <RTFieldDescriptor.h>
#include <RTObject_class.h>

int RTarray_decode( const RTObject_class * type,
		    void                 * target,
		    RTDecoding           * coding )
{
    RTAssert( type->_fields->modifier == (const RTTypeModifier *)0 );

    return coding->get_array( target, type->_num_fields,
				      type->_fields->type );
}
