/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDiag.h>
#include <RTEncoding.h>
#include <RTFieldDescriptor.h>
#include <RTFieldOffset.h>
#include <RTObject_class.h>

int RTarray_encode( const RTObject_class * type,
		    const void           * source,
		    RTEncoding           * coding )
{
    RTAssert( type->_fields->modifier == (const RTTypeModifier *)0 );

    return coding->put_array( source, type->_num_fields, type->_fields->type );
}
