/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTPriority.h>

const char * RTPriority::name( int i )
{
    switch( i )
    {
	case Synchronous: return "Synchronous";
	case System:      return "System";
	case Panic:       return "Panic";
	case High:        return "High";
	case General:     return "General";
	case Low:         return "Low";
	case Background:  return "Background";
	default:          break;
    }
    return "<invalid priority>";
}
