/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDiag.h>
#include <RTPurgeFilter.h>

//lint -save -e1738

RTPurgeFilter::RTPurgeFilter( const RTPurgeFilter & )
    : RTQFilter()
    , context( (RTController *)0 )
    , port   ( (RTProtocol   *)0 )
    , options(               All )
    , signal (                 0 )
    , index  (                 0 )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTPurgeFilter( const RTPurgeFilter & )'" );
}

//lint -restore

RTPurgeFilter & RTPurgeFilter::operator=( const RTPurgeFilter & )
{
    RTDiag::panic( "Unavailable method called:\n"
	       "    'RTPurgeFilter::operator=( const RTPurgeFilter & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
