/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDiag.h>
#include <RTRecallFilter.h>

//lint -save -e1738

RTRecallFilter::RTRecallFilter( const RTRecallFilter & )
    : RTQFilter()
    , context      ( (RTController *)0 )
    , recallToFront( (RTMessage    *)0 )
    , port         ( (RTProtocol   *)0 )
    , options      ( Back              )
    , signal       (                 0 )
    , index        (                 0 )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTRecallFilter( const RTRecallFilter & )'" );
}

//lint -restore

RTRecallFilter & RTRecallFilter::operator=( const RTRecallFilter & )
{
    RTDiag::panic( "Unavailable method called:\n"
	       "    'RTRecallFilter::operator=( const RTRecallFilter & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
