/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTActorClass.h>
#include <RTActorId.h>
#include <RTDiag.h>
#include <RTMain.h>
#include <RTSuperActor.h>
#include <RTSystemDescriptor.h>

void RTSuperActor::t2_start( void )
{
    const RTSystemDescriptor * system = RTMain::systemInfo();

    RTActorId id( frame.incarnate( application,
				   *system->topClass ) ); //lint !e1901

    RTAssert( id.isValid() != 0 );
}
