/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTTime.h>

RTTime RTTime::asTime( int value )
{
    int v = value % ( 24 * 60 * 60 );

    if( v < 0 )
	v += 24 * 60 * 60;

    return RTTime( v / 3600, ( v / 60 ) % 60, v % 60 ); //lint !e1901
}
