/*
 * Licensed Materials - Property of IBM
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS
 * Copyright IBM Corporation 1999, 2009. All Rights Reserved.
 * U.S. Government Users Restricted Rights -  Use, duplication or
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDiag.h>
#include <RTMutex.h>

#include <errno.h>

void RTMutex::enter( void )
{
    while( pthread_mutex_lock( &mutex ) != 0 )
	if( errno != EINTR )
	    RTDiag::panic( "pthread_mutex_lock" );
}
