/*
 * Licensed Materials - Property of IBM
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.
 * U.S. Government Users Restricted Rights -  Use, duplication or
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDiag.h>
#include <RTSyncObject.h>

void RTSyncObject::signal( void )
{
    if( mutex_lock( &mutex ) != 0 )
	RTDiag::panic( "mutex_lock" );

    if( signalled == 0 )
    {
	signalled = 1;
	if( cond_signal( &cv ) != 0 )
	    RTDiag::panic( "cond_signal" );
    }

    if( mutex_unlock( &mutex ) != 0 )
	RTDiag::panic( "mutex_unlock" );
}
