/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTWinCE.h>

void RTConsole::resize( void )
{
    RECT       rc;
    SCROLLINFO si;

    GetClientRect( window, &rc );

    screen.rows = ( rc.bottom - rc.top  ) / character.height;
    screen.cols = ( rc.right  - rc.left ) / character.width;

    scroll( 0, 0 );

    // Set up the scroll bars.
    si.cbSize = sizeof( si );
    si.fMask  = SIF_RANGE | SIF_POS | SIF_PAGE;
    si.nMin   = 0;
    si.nMax   = buffer.rows - 1;
    si.nPos   = screen.top;
    si.nPage  = screen.rows;
    SetScrollInfo( window, SB_VERT, &si, TRUE );

    si.nMax  = buffer.cols - 1;
    si.nPos  = screen.left;
    si.nPage = screen.cols;
    SetScrollInfo( window, SB_HORZ, &si, TRUE );
}
