/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTLayerConnector_inl__
#define __RTLayerConnector_inl__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTLayerConnector_h__
#include <RTLayerConnector.h>
#endif

//lint -save -esym(1927,NameBuffer::small_buffer)
RTS_INLINE RTLayerConnector::NameBuffer::NameBuffer( void )
    : value       ( (const char *)0 )
    , large_buffer( (char       *)0 )
{
#ifdef _lint
    small_buffer[ 0 ] = '\0';
#endif
}
//lint -restore

RTS_INLINE RTLayerConnector::NameBuffer::~NameBuffer( void )
{
#ifdef _lint
    value = (const char *)0;
#endif
    delete [] large_buffer;
}

#endif // __RTLayerConnector_inl__
