/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTMemoryOutBuffer_h__
#define __RTMemoryOutBuffer_h__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTOBuffer_h__
#include <RTOBuffer.h>
#endif

class RTMemoryOutBuffer : public RTOBuffer
{
public:
		RTMemoryOutBuffer( char *, int size );
    virtual     ~RTMemoryOutBuffer( void );

    virtual int write( const char * data, int size );
    virtual int flush( void );

private:
    char * memory;
    int    size;

private:
    // unavailable methods
    RTMemoryOutBuffer( const RTMemoryOutBuffer & );
    RTMemoryOutBuffer & operator=( const RTMemoryOutBuffer & );
}; //lint !e1712

#endif // __RTMemoryOutBuffer_h__
