# Licensed Materials - Property of IBM                       
# Component IBM Rational ROSE_RT BUILD : TARGET_RTS                 
# Copyright IBM Corporation 1999, 2008. All Rights Reserved.      
# U.S. Government Users Restricted Rights -  Use, duplication or    
# disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.



VENDOR = Diab

AR_CMD = $(PERL) $(RTS_HOME)/tools/ar.pl -add=dar,r \
					 -create=dar,rc \
					 -limit=2000
CC     = dplus
LD     = $(PERL) $(RTS_HOME)/libset/$(LIBRARY_SET)/ld.pl $(CC)

# -t PPC603EH   PPC603: CPU
#               E:      ELF object format
#               H:      Hardware floating point
# -D__DIAB      Required by the Diab compiler
# -Xno-wchar    wchar_t is as of Diab rel 4.0b a built-in type.

LIBSETCCFLAGS = -t PPC603EH:ose -D__DIAB -Xno-wchar
LIBSETLDFLAGS = -t PPC603EH:ose

# -Xmemory-is-volatile - removes optimization that assumes memory is
# only modified by application (has adverse effects on OSE RTMutex class)

LIBSETCCEXTRA = -O -Xmemory-is-volatile
SHLIBS        =

ALL_OBJS_LIST = %$(ALL_OBJS_LISTFILE)
