#! perl -w

# Licensed Materials - Property of IBM                       
# Component IBM Rational ROSE_RT BUILD : TARGET_RTS                 
# Copyright IBM Corporation 1999, 2008. All Rights Reserved.      
# U.S. Government Users Restricted Rights -  Use, duplication or    
# disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.



# our compiler and linker
$cc = 'gcc';
$ld = 'ld';

# the location of the Chorus merge directory
$merge = $ARGV[0];
shift;

@command = ( $cc, '-r' );

push @command, '-o';
shift;

# The above "shift" was done to remove "-o" from the @ARGV.
# Now the $ARGV[0] should contain the name of the target executable.

$compilation_actor = $ARGV[0];
shift;

$relocname = $compilation_actor;

push @command, "$compilation_actor.xp.o";

push @command, "-B$merge/../tools/powerpc/solaris/5.00/lib/gcc-lib/";
push @command, "-T $merge/../tools/tgt-make/gcc-ld.ld -dy";

foreach $arg ( @ARGV )
{
    push @command, $arg;
}

foreach $arg ( '-u', '_main', '-u', '_premain' )
{
    push @command, $arg;
}

push @command, "-nostdlib -lgcc-chorus";

system "@command";

system "mkctors $compilation_actor.xp.o > $compilation_actor.ct.s";

system "$cc -B$merge/../tools/powerpc/solaris/5.00/lib/gcc-lib/ -c -o $compilation_actor.ct.o $compilation_actor.ct.s";

@finalLinkCommand =
    ( $ld,
	'-T',
	"$merge/../tools/tgt-make/gcc-ld.ld -dy",
	'-r',
	'-e', '_start',
	'-o', $relocname,
	"$merge/../kernel/lib/crt/crth.u.o",
	"$merge/../kernel/lib/crt/crt0.o",
	"$merge/../kernel/lib/crt/crti.o",
	"$compilation_actor.xp.o",
	"$compilation_actor.ct.o",
	"$merge/../kernel/lib/crt/crtn.o"
    );

system "@finalLinkCommand";
