/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDebugger.h>
#include <RTDiag.h>
#include <RTDiagStream.h>
#include <RTProtocol.h>

void RTDebugger::printPort( const RTProtocol * port, int portIndex )
{
    if( port != (RTProtocol *)0 )
    {
	printRef( port->getOwner(), port->getName() );

	RTDiag::out() << "[" << portIndex << "]";
    }
}
