/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDecoding.h>
#include <RTEnumerated.h>
#include <RTObject_class.h>

int RTEnumerated_decode( const RTObject_class * type,
			 void                 * value,
			 RTDecoding           * coding )
{
    RTEnumerated * data = (RTEnumerated *)value;

    return coding->get_enum( data->value, type->_num_fields, type->_fields );
}
