/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTLocalConnector.h>
#include <RTProtocol.h>

RTLocalConnector::Request::Request( RTProtocol * _sap,
				    int          _start )
    : prev ( (Request *)0 )
    , next ( (Request *)0 )
    , chain( (Request *)0 )
    , sap  ( _sap         )
    , start( _start       )
    , limit( _sap->size() )
{
}
