/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTMemoryOutBuffer.h>
#include <RTMemoryUtil.h>

int RTMemoryOutBuffer::write( const char * data, int data_size )
{
    if( data_size > size )
	data_size = size;

    if( data_size > 0 )
    {
	RTMemoryUtil::memcpy( memory, data, data_size );
	memory += data_size;
	size   -= data_size;
    }

    return data_size;
}
