/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTObject_class.h>

RTTypeInstaller::RTTypeInstaller( const RTObject_class & type )
    : _next( (RTTypeInstaller *)0 )
    , _type( &type )
{
    // We need this local static variable because can't count on _head
    // being initialized before this constructor is first used.

    static bool initialized = false;

    if( ! initialized )
    {
	_head       = (RTTypeInstaller *)0;
	initialized = true;
    }

    _next = _head;
    _head = this;
}
