/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDiag.h>
#include <RTProbe.h>

RTProbe::RTProbe( const RTProbe & )
    : _debugger  ( (RTDebugger   *)0 )
    , _id        (                 0 )
    , _owner     (                 0 )
    , _actor     ( (RTActor      *)0 )
    , _doReport  (                 0 )
    , _refCount  (                 0 )
    , _stringPath( (char         *)0 )
    , _actorIndex(                 0 )
    , _destroyMe (                 0 )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTProbe( const RTProbe & )'" );
}

RTProbe & RTProbe::operator=( const RTProbe & )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTProbe::operator=( const RTProbe & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
