/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTSequenceOf.h>

RTSequenceOf::RTSequenceOf( const RTSequenceOf & other )
    : RTDataObject( other )
    , size ( 0 )
    , array( (RTDataObject **)0 )
{
    if( other.size > 0 )
    {
	size  = other.size;
	array = new RTDataObject * [ (unsigned)size ];

	for( int index = 0; index < size; ++index )
	{
	    RTDataObject * element = other.array[ index ];

	    if( element != (RTDataObject *)0 )
		element = element->copy();

	    array[ index ] = element;
	}
    }
}
