/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTTimerId.h>
#include <RTnew.h>

static void _init( const RTObject_class *, void * target )
{
    (void)new( target ) RTTimerId;
}

static void _copy( const RTObject_class *, void * target, const void * source )
{
    (void)new( target ) RTTimerId( *(const RTTimerId *)source );
}

const RTFieldDescriptor RTTimerId::fieldData[] =
{
    {
	"node",
	RTOffsetOf( RTTimerId, node ),
	&RTType_RTpvoid,
	(const RTTypeModifier *)0
    }
};

#if OBJECT_DECODE
static int _decode( const RTObject_class *, void *, RTDecoding * )
{
    return 0;
}
#endif

static void _destroy( const RTObject_class *, void * target )
{
    ((RTTimerId *)target)->~RTTimerId();
}

const RTObject_class RTTimerId::classData =
{
    (const RTObject_class *)0,
    (RTSuperAccessFunction)0,
    "RTTimerId",
    (RTVersionId)0,
    (RTFieldOffset)sizeof( RTTimerId ),
    _init,
    _copy,
#if OBJECT_DECODE
    _decode,
#endif
#if OBJECT_ENCODE
    RTstruct_encode,
#endif
    _destroy,
    1, RTTimerId::fieldData
};

#if OBJECT_DECODE
RTTypeInstaller RTTimerId_installer( RTType_RTTimerId );
#endif
