/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTAbortController_h__
#define __RTAbortController_h__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTPeerController_h__
#include <RTPeerController.h>
#endif

class RTAbortController : public RTPeerController
{
public:
    explicit        RTAbortController( RTDebugger * );
    virtual         ~RTAbortController( void );

    virtual void    mainLoop( void );

private:
    // unavailable methods
    RTAbortController( const RTAbortController & );
    RTAbortController & operator=( const RTAbortController & );
}; //lint !e1712

#endif // __RTAbortController_h__
