/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTTimerList_inl__
#define __RTTimerList_inl__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTTimerList_h__
#include <RTTimerList.h>
#endif

RTS_INLINE int RTTimerList::length( void ) const
{
    return (int)used;
}

RTS_INLINE RTTimerList::Link::Link( void )
    : index( 0U )
{
}

#endif // __RTTimerList_inl__
