/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifdef PRAGMA
#pragma implementation "RTDiag.h"
#endif

#include <RTDiag.h>
#include <RTDiagStream.h>
#include <RTstdio.h>

void RTDiag::panic( const char * message )
{
    static bool suppressed = false;

    if( ! suppressed )
    {
	suppressed = true;

	RTDiagStream & diag = RTDiag::out();

	diag.lock() << "panic: " << message << "\n";
	diag.unlock();

	_exit( 1 );
    }
}
