/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTinet.h>
#include <RTtcp.h>

extern "C" int RTinet_write( int sock, const char * data, int size )
{
    int count;

    if( (count = NU_Send( sock, (char *)data, size, 0 )) < 0 )
    {
	if( count == NU_NO_BUFFERS )
	    count = 0; // try again later
	else
	    count = -1;
    }

    return count;
}
