/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDiagStream.h>

#include <dbgprintf.h>

RTDiagStream & RTDiagStream::write( const char * string )
{
    for( const char * cursor = string; ; ++cursor )
    {
	if( *cursor == '\0' || *cursor == '\n' )
	{
	    if( cursor != string )
		dbgwrite( string, cursor - string );
	    if( *cursor == '\0' )
		break;
	    dbgwrite( "\r", 1 );
	    string = cursor;
	}
    }

    return *this;
}
