/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifdef PRAGMA
#pragma implementation "RTMutex.h"
#endif

#include <RTDiag.h>
#include <RTMutex.h>

#include <psos.h>

RTMutex::~RTMutex( void )
{
    if( mutex != 0UL )
    {
#if TARGET_PSOS >= 25 // mutex support available
	if( mu_delete( mutex ) != 0UL )
	    RTDiag::panic( "mu_delete" );
#else
	if( sm_delete( mutex ) != 0UL )
	    RTDiag::panic( "sm_delete" );
#endif

	mutex = 0UL;
    }
}
