/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTObsCtrlTask_h__
#define __RTObsCtrlTask_h__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTConfig_h__
#include <RTConfig.h>
#endif

class RTObsCtrlTask
{
private:
    unsigned long tid;
    int           send_fd;
    unsigned long sem_id;

    static void   recvEvents( RTObsCtrlTask * );

public:
    enum
    {
	WakeupEvent   = 1,
	ShutdownEvent = 2
    };

		  RTObsCtrlTask( int _socket );
		  ~RTObsCtrlTask( void );

    void          sendEvent( void );
};

#endif // __RTObsCtrlTask_h__
