/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTpSOS_h__
#define __RTpSOS_h__ included

#ifndef __RTConfig_h__
#include <RTConfig.h>
#endif

enum { RTMaxPriority = 239 };

extern void rt_thread_exit( void );

// These are normally found in sys_conf.h. They shouldn't change.

#define SC_DEV_SERIAL 1 // serial driver
#define SC_DEV_TIMER  2 // periodic tick

#define DEV_SERIAL ( SC_DEV_SERIAL << 16 )
#define DEV_TIMER  ( SC_DEV_TIMER  << 16 )

#endif // __RTpSOS_h__
