/*
 * Licensed Materials - Property of IBM
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.
 * U.S. Government Users Restricted Rights -  Use, duplication or
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDiag.h>
#include <RTMutex.h>

RTMutex::RTMutex( void )
{
    pthread_mutexattr_t mutexattr;

    if( pthread_mutexattr_init( &mutexattr ) != 0 )
	RTDiag::panic( "pthread_mutexattr_init" );

    if( pthread_mutex_init( &mutex, &mutexattr ) != 0 )
	RTDiag::panic( "pthread_mutex_init" );

    if( pthread_mutexattr_destroy( &mutexattr ) != 0 )
	RTDiag::panic( "pthread_mutexattr_destroy" );
}
