/*
 * Licensed Materials - Property of IBM
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.
 * U.S. Government Users Restricted Rights -  Use, duplication or
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTMemoryUtil.h>
#include <RTinet.h>
#include <RTtcp.h>

extern "C" int RTinet_lookup( const char * host, RTinet_address * address )
{
    int     herrno;
    hostent htent;
    char    buffer[ 1500 ];

    if( gethostbyname_r( host, &htent, buffer, (int)sizeof( buffer ), &herrno )
			 == (hostent *)0 )
    {
	return 0;
    }

    if( htent.h_length != (int)sizeof( *address ) )
	return 0;

    RTMemoryUtil::memcpy( address, htent.h_addr, (int)sizeof( *address ) );

    return 1;
}
