/*
 * Licensed Materials - Property of IBM
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS
 * Copyright IBM Corporation 1999, 2009. All Rights Reserved.
 * U.S. Government Users Restricted Rights -  Use, duplication or
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDiag.h>
#include <RTSyncObject.h>

//lint -save -esym(1927,RTSyncObject::mutex,RTSyncObject::cv)

RTSyncObject::RTSyncObject( void )
    : signalled( 0 )
{
    if( mutex_init( &mutex, USYNC_THREAD, (void *)0 ) != 0 )
	RTDiag::panic( "mutex_init" );
    if( cond_init( &cv, USYNC_THREAD, (void *)0 ) != 0 )
	RTDiag::panic( "cond_init" );
}

//lint -restore
