/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTTimespec.h>

#include <vrtxil.h>

void RTTimespec::getclock( RTTimespec & ts )
{
    struct timespec now;
    unsigned long   nsec;
    int             err;

    sc_gclock( &now, &nsec, &err );

    ts.tv_sec  = now.seconds;
    ts.tv_nsec = now.nanoseconds;
}
